package com.sagacloud.listener;

import com.sagacloud.route.InitEnvRoute;
import com.sagacloud.route.Route;
import org.apache.camel.CamelContext;
import org.apache.camel.impl.DefaultCamelContext;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

/**
 * Created by wo on 5/24/17.
 */
public class VendersDpCamelContextInitialListener implements ServletContextListener{
    private CamelContext camelContext;

    @Override
    public void contextInitialized(ServletContextEvent sce) {
        try {
            camelContext = new DefaultCamelContext();
            camelContext.addRoutes(new InitEnvRoute());
            camelContext.addRoutes(new Route());

            camelContext.start();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void contextDestroyed(ServletContextEvent sce) {
        try {
            camelContext.stop();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
